module.exports = function (grunt) {
  grunt.initConfig({
    watch: {
      compass: {
        files: ['css/jee.scss', 'css/wysiwyg.scss'],
        tasks: ['compass:dev']
      },
      postcss: {
        files: ['css/jee.scss', 'css/wysiwyg.scss'],
        tasks: ['postcss']
      },
      //    options: {
      //         livereload: true,
      //     },
    },
    compass: {
      dev: {
        options: {
          sassDir: 'css',
          cssDir: 'css',
          imagesPath: 'assets/img',
          noLineComments: false,
          // outputStyle: 'compressed'
        }
      }
    },
    postcss: {
      options: {
        processors: [
          require('autoprefixer-core')({
            browsers: ['> 1%'] //, 'ie 8', 'ie 7', 'FirefoxAndroid', 'ExplorerMobile', 'ChromeAndroid'
          }).postcss,
        ]
      },
      dist: { src: 'css/*.css' }
    },
  });
  grunt.loadNpmTasks('grunt-contrib-compass');
  grunt.loadNpmTasks('grunt-contrib-sass');
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-postcss');


  grunt.registerTask('default', ['compass', 'postcss']);
};